<?php

namespace App\Models\Cuentas;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Cuenta extends Model
{
    protected $table = 'cuentas';

    protected $fillable = [
        'id_sede',
        'tipo',
        'codigo',
        'banco',
        'nombre',
        'cuenta',
        'estado',
    ];

    const ESTADO_ACTIVO    = 'AC';
    const ESTADO_INACTIVO  = 'IN';
    const ESTADO_ELIMINADO = 'EL';

    public function scopeNoEliminados(Builder $q)
    {
        return $q->where('estado', '!=', self::ESTADO_ELIMINADO);
    }

    public function scopeActivos(Builder $q)
    {
        return $q->where('estado', self::ESTADO_ACTIVO);
    }

   
}